<?php

define('_IN_JOHNCMS', 1);
$headmod = 'GALLOWS-BIRD';
$textl = 'Висельник';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");
echo "<div class='phdr'>$textl</div>";
$alphabet = array('1' => 'а', '2' => 'б', '3' => 'в', '4' => 'г', '5' => 'д', '6' => 'е', '7' => 'ж', '8' => 'з', '9' => 'и', '10' => 'й', '11' => 'к', '12' => 'л', '13' => 'м', '14' => 'н', '15' => 'о', '16' => 'п', '17' => 'р', '18' => 'с', '19' => 'т', '20' => 'у', '21' => 'ф', '22' => 'х', '23' => 'ц', '24' => 'ч', '25' => 'ш', '26' => 'щ', '27' => 'ь', '28' => 'ы', '29' => 'ъ', '30' => 'э', '31' => 'ю', '32' => 'я');
switch($act)
{

	case "ini" :
		unset ($_SESSION['GALLOWS-BIRD']);

		/* Открываем базу */
		$file_base = file_get_contents("temp/base.tmp");
		$base = explode(":||:", $file_base);
		//Случайное слово
		$words = mb_strtolower($base[mt_rand(0, (count($base) - 1))]);
		//Открыты первая и последняя буквы
		$alpha[1] = mb_substr($words, 0, 1);
		$alpha[2] = mb_substr($words, - 1, 1);
		//Пишем в сессию
		$_SESSION['GALLOWS-BIRD']['hod'] = '0';
		$_SESSION['GALLOWS-BIRD']['words'] = $words;
		$_SESSION['GALLOWS-BIRD']['alpha'] = $alpha;
		$_SESSION['GALLOWS-BIRD']['alpha_no'] = array();
		//---------------
		header("Location: ?act=game");
		break;

	case "hod" :
		if($_SESSION['GALLOWS-BIRD'])
		{
		//Правильность ввода
			if($id > '32')
				$id = '1';
			//Выбранная буква
			$letter = strtr($id, $alphabet);
			//Проверка была ли такая буква
			$result = array_search($letter, $_SESSION['GALLOWS-BIRD']['alpha']);
			if(!empty ($result))
			{
				echo functions :: display_error("Эта буква уже была!")."<div class='menu'><a href=\"?act=game\">Еще раз</a></div>";
				require_once ("../../incfiles/end.php");
				exit;
			}

			/* Проверка есть ли такая буква в слове */
			$result = strpos($_SESSION['GALLOWS-BIRD']['words'], $letter);
			if(!empty ($result))
			{
			//Запись в конец массива
				array_push($_SESSION['GALLOWS-BIRD']['alpha'], $letter);
			}
			else
			{
			//Считаем ходы
				$_SESSION['GALLOWS-BIRD']['hod']++;
				//Запись в конец массива неправильную букву
				array_push($_SESSION['GALLOWS-BIRD']['alpha_no'], $letter);
			}
			//---------------
			header("Location: ?act=game");
		}
		else
		{
			header("Location: ?");
		}
		break;

	case "game" :
		if($_SESSION['GALLOWS-BIRD'])
		{
			$count_words = mb_strlen($_SESSION['GALLOWS-BIRD']['words']);
			$alpha = $_SESSION['GALLOWS-BIRD']['alpha'];
			//Слово в массив
			for($i = 0; $i < $count_words; $i++)
			{
				$words[] = mb_substr($_SESSION['GALLOWS-BIRD']['words'], $i, 1);
				//Проверка есть ли такая буква
				$result = array_search($words[$i], $_SESSION['GALLOWS-BIRD']['alpha']);
				if(!empty ($result))
				{
					$letter[] = $words[$i];
					$guessed++;
				}
				else
				{
					$letter[] = '*';
				}
			}
			echo '<div class="gmenu">'.join("", $letter).'</div><div class="menu">';
			echo '<table cellpadding="0" cellspacing="0"><tr><td>';
			if($guessed == $count_words)
			{
				echo '</td><td>';
				echo '<span class= "green">Поздравляю!<br />Вы оказалась достаточно умным человеком чтобы сберечь свою жизнь!</span>';
				unset ($_SESSION['GALLOWS-BIRD']);
			}
			else
			{
				switch($_SESSION['GALLOWS-BIRD']['hod'])
				{

					case 0 :
						echo '</td><td><span class= "green">Игра началась!</span>';
						break;

					case 1 :
						echo '<img src="../img/GALLOWS_BIRD/1.jpg" border="0" />&nbsp;</td><td>';
						echo '<span class= "green">Вы просто так кликнули или нервы пошаливают? Тогда успокойтесь - палач еще только проснулся и у Вас впереди аж пять ошибок. Последняя, честно говоря, смертельная... Я Вас успокоил?</span>';
						break;

					case 2 :
						echo '<img src="../img/GALLOWS_BIRD/2.jpg" border="0" />&nbsp;</td><td>';
						echo '<span class= "green">Да успокойтесь Вы! Еще четыре раза ошибаться можно! Правда, потом...</span>';
						break;

					case 3 :
						echo '<img src="../img/GALLOWS_BIRD/3.jpg" border="0" />&nbsp;</td><td>';
						echo '<span class= "green">Не волнуйтесь! Вас повесят только если Вы ошибетесь еще три раза. Но Вы же умный человек...!</span>';
						break;

					case 4 :
						echo '<img src="../img/GALLOWS_BIRD/4.jpg" border="0" />&nbsp;</td><td>';
						echo '<span class= "green">Опять нервничаете? Это хорошо! Может, будете думать по-лучше! До повешения осталось всего два неверных хода...!</span>';
						break;

					case 5 :
						echo '<img src="../img/GALLOWS_BIRD/5.jpg" border="0" />&nbsp;</td><td>';
						echo '<span class= "green">Нервничаете? Это правильно! Еще один неверный ход и Вы, - висячая туша!</span>';
						break;

					default :
						echo '<img src="../img/GALLOWS_BIRD/6.jpg" border="0" />&nbsp;';
						echo '<span class= "red">Мои соболезнования...</span>';
						unset ($_SESSION['GALLOWS-BIRD']);
				}
			}
			echo '</td></tr></table>';
			echo '</div><div class="gmenu">';
			$alpha_no = array_merge($_SESSION['GALLOWS-BIRD']['alpha'], $_SESSION['GALLOWS-BIRD']['alpha_no']);
			for($i = 1; $i < 33; $i++)
			{
			//Проверка была ли такая буква
				$result = array_search(strtr($i, $alphabet), $alpha_no);
				if(empty ($result))
				{
					echo '<a href="?act=hod&amp;id='.$i.'" >'.$alphabet[$i].'</a>&nbsp;';
				}
				if($i == 11 || $i == 21)
				{
					echo '<br />';
				}
			}
			echo '</div><div class="menu">';
			echo "<a href=\"?act=ini\">Играть заново</a><br />";
			echo "<a href=\"../?\">В раздел</a></div>";
		}
		else
		{
			header("Location: ?");
		}
		break;

	default :
		unset ($_SESSION['GALLOWS-BIRD']);
		echo "<div class='gmenu'>";
		echo 'Интересная, но не слишком популярная игрушка, даже среди школьников, хотя играть можно на обычном листке бумаги. Загаданное слово пишется прочерками вместо букв, затем угадывающий (претендент на повешение:) называет буквы. Каждая верная буква вписывается вместо прочерка(ов). За каждую неверную дорисовывается элемент виселицы (скажем 5 элементов). Дальше понятно: успел угадать слово до полной дорисовки виселицы - выжил, не успел - повешен.';
		echo '</div><div class="menu">';
		echo "<a href=\"?act=ini\">Играть</a><br />";
		echo "<a href=\"../?\">В раздел</a></div>";
}
require_once ("../../incfiles/end.php");

?>